backup.h File Reference
`#include "config.h"`
`#include "duration.h"`
`#include "file.h"`
`#include "status.h"`
`#include <ldns/ldns.h>`

Go to the source code of this file.

## Functions

char * | backup_read_token (FILE *in)
int | backup_read_check_str (FILE *in, const char *str)
int | backup_read_str (FILE *in, const char **str)
int | backup_read_time_t (FILE *in, time_t *v)
int | backup_read_duration (FILE *in, duration_type **v)
int | backup_read_rr_type (FILE *in, ldns_rr_type *v)
int | backup_read_int (FILE *in, int *v)
int | backup_read_uint8_t (FILE *in, uint8_t *v)
int | backup_read_uint32_t (FILE *in, uint32_t *v)
ods_status | backup_read_namedb (FILE *in, void *zone)
ods_status | backup_read_ixfr (FILE *in, void *zone)

## Function Documentation

## backup_read_check_str()

int backup_read_check_str | ( | FILE * | in,
|  | const char * | str
| ) |  |

Read and match a string from backup file.

Parameters

  [in] | in | input file descriptor
  [in] | str | string to match

Returns
  1 if string was read and matched, 0 otherwise

Read and match a string from backup file.

Definition at line 77 of file backup.c.

References backup_read_token().

Referenced by key_recover2(), and zone_recover2().

## backup_read_duration()

int backup_read_duration | ( | FILE * | in,
|  | duration_type ** | v
| ) |  |

Read duration from backup file.

Parameters

  [in] | in | input file descriptor
  [out] | v | duration storage

Returns
  int 1 on success, 0 otherwise

Read duration from backup file.

Definition at line 138 of file backup.c.

References backup_read_token().

Referenced by zone_recover2().

## backup_read_int()

int backup_read_int | ( | FILE * | in,
|  | int * | v
| ) |  |

Read integer from backup file.

Parameters

  [in] | in | input file descriptor
  [out] | v | integer storage

Returns
  int 1 on success, 0 otherwise

Read integer from backup file.

Definition at line 175 of file backup.c.

References backup_read_token().

Referenced by key_recover2(), and zone_recover2().

## backup_read_ixfr()

ods_status backup_read_ixfr | ( | FILE * | in,
|  | void * | zone
| ) |  |

Read ixfr journal from file.

Parameters

  [in] | in | input file descriptor
  [in] | zone | zone reference

Returns
  ods_status status

Read ixfr journal from file.

Definition at line 499 of file backup.c.

References adapi_get_origin(), zone_struct::db, namedb_struct::is_initialized, zone_struct::ixfr, ixfr_add_rr(), ixfr_del_rr(), ixfr_struct::ixfr_lock, ixfr_purge(), zone_struct::name, namedb_struct::outserial, and SE_ADFILE_MAXLINE.

Referenced by zone_recover2().

## backup_read_namedb()

ods_status backup_read_namedb | ( | FILE * | in,
|  | void * | zone
| ) |  |

Read namedb from backup file.

Parameters

  [in] | in | input file descriptor
  [in] | zone | zone reference

Returns
  ods_status status

Read namedb from backup file.

Definition at line 304 of file backup.c.

References adapi_add_rr(), adapi_get_origin(), zone_struct::db, denial_add_rr(), zone_struct::name, namedb_diff(), namedb_lookup_denial(), rrset_struct::needs_signing, denial_struct::rrset, rrset_add_rrsig(), SE_ADFILE_MAXLINE, and zone_lookup_rrset().

Referenced by zone_recover2().

## backup_read_rr_type()

int backup_read_rr_type | ( | FILE * | in,
|  | ldns_rr_type * | v
| ) |  |

Read rr type from backup file.

Parameters

  [in] | in | input file descriptor
  [out] | v | rr type storage

Returns
  int 1 on success, 0 otherwise

Read rr type from backup file.

Definition at line 158 of file backup.c.

References backup_read_token().

Referenced by zone_recover2().

## backup_read_str()

int backup_read_str | ( | FILE * | in,
|  | const char ** | str
| ) |  |

Read a string from backup file.

Parameters

  [in] | in | input file descriptor
  [out] | string | storage

Returns
  int 1 on success, 0 otherwise

Read a string from backup file.

Definition at line 104 of file backup.c.

References backup_read_token().

Referenced by key_recover2(), and zone_recover2().

## backup_read_time_t()

int backup_read_time_t | ( | FILE * | in,
|  | time_t * | v
| ) |  |

Read time from backup file.

Parameters

  [in] | in | input file descriptor
  [out] | v | time_t storage

Returns
  int 1 on success, 0 otherwise

Read time from backup file.

Definition at line 121 of file backup.c.

References backup_read_token().

Referenced by zone_recover2().

## backup_read_token()

char * backup_read_token | ( | FILE * | in | ) |

Recover from backup. Read token from backup file.

Parameters

  [in] | in | input file descriptor

Returns
  char* read token

Read token from backup file.

Definition at line 53 of file backup.c.

Referenced by backup_read_check_str(), backup_read_duration(), backup_read_int(), backup_read_rr_type(), backup_read_str(), backup_read_time_t(), backup_read_uint32_t(), and backup_read_uint8_t().

## backup_read_uint32_t()

int backup_read_uint32_t | ( | FILE * | in,
|  | uint32_t * | v
| ) |  |

Read 32bit unsigned integer from backup file.

Parameters

  [in] | in | input file descriptor
  [out] | v | uint32_t storage

Returns
  int 1 on success, 0 otherwise

Read 32bit unsigned integer from backup file.

Definition at line 209 of file backup.c.

References backup_read_token().

Referenced by key_recover2(), and zone_recover2().

## backup_read_uint8_t()

int backup_read_uint8_t | ( | FILE * | in,
|  | uint8_t * | v
| ) |  |

Read 8bit unsigned integer from backup file.

Parameters

  [in] | in | input file descriptor
  [out] | v | uint8_t storage

Returns
  int 1 on success, 0 otherwise

Read 8bit unsigned integer from backup file.

Definition at line 192 of file backup.c.

References backup_read_token().

Referenced by key_recover2().